import 'package:flutter/material.dart';
import 'package:zhiying_base_widget/pages/goods_share_page/models/goods_share_temp_add_model.dart';
import 'package:zhiying_base_widget/pages/goods_share_page/widgets/goods_share_item.dart';
import 'package:zhiying_base_widget/pages/goods_share_page/widgets/goods_share_miniprogram_widget.dart';

class GoodsShareMiniprogram extends StatefulWidget {
  final Map<String, dynamic> model;

  final GoodsShareTempDataModel datas;

  const GoodsShareMiniprogram(this.model, this.datas, {Key key})
      : super(key: key);

  @override
  _GoodsShareMiniprogramState createState() => _GoodsShareMiniprogramState();
}

class _GoodsShareMiniprogramState extends State<GoodsShareMiniprogram> {
  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.only(bottom: 4),
      padding: EdgeInsets.only(top: 10),
      decoration: BoxDecoration(
          color: Colors.white,
          borderRadius: BorderRadius.only(
              bottomLeft: Radius.circular(8), bottomRight: Radius.circular(8))),
      child: SingleChildScrollView(
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          mainAxisAlignment: MainAxisAlignment.start,
          children: <Widget>[
            GoodsShareItem(
              child: GoodsShareMiniprogramWidget(
                title: '小米10至尊纪念版5g手机120X变焦骁龙865小米官方旗舰店小米手机',
                imgGoods: '',
                icon: '',
                name: '智莺生活',
              ),
            ),
          ],
        ),
      ),
    );
  }
}
